VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "vb"
   ClientHeight    =   2250
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   ScaleHeight     =   2250
   ScaleWidth      =   4560
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command3 
      Caption         =   "Convert to pdf file"
      Height          =   375
      Left            =   600
      TabIndex        =   2
      Top             =   1680
      Width           =   3495
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Convert to jpg file"
      Height          =   375
      Left            =   600
      TabIndex        =   1
      Top             =   1080
      Width           =   3495
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Convert to tiff file (multiple page)"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   3495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function MBegin Lib "pscvt.dll" () As Long

Private Declare Function MConvertToImage Lib "pscvt.dll" (ByVal id As Long, ByVal infile As String, ByVal outpath As String, ByVal filename As String) As Long
Private Declare Function MSetImageParam Lib "pscvt.dll" (ByVal id As Long, ByVal imagetype As Long, ByVal bitcount As Long, ByVal quality As Long, ByVal rotate As Long, ByVal width As Long, ByVal height As Long, ByVal xdpi As Long, ByVal ydpi As Long, ByVal compression As Long, ByVal multipage As Long) As Long

Private Declare Function MConvertToPDF Lib "pscvt.dll" (ByVal id As Long, ByVal infile As String, ByVal output As String) As Long
Private Declare Function MPDFEncrypt Lib "pscvt.dll" (ByVal id As Long, ByVal userpassword As String, ByVal ownerpassword As String, ByVal encryptlevel As Long, ByVal printing As Long, ByVal copying As Long, ByVal changing As Long, ByVal adding As Long) As Long
Private Declare Function MPDFInformation Lib "pscvt.dll" (ByVal id As Long, ByVal title As String, ByVal subject As String, ByVal author As String, ByVal keywords As String, ByVal creator As String, ByVal producer As String) As Long
Private Declare Function MPDFWatermark Lib "pscvt.dll" (ByVal id As Long, ByVal text As String, ByVal fsize As Long, ByVal fcolor As Long, ByVal position As Long, ByVal angle As Long, ByVal xoff As Long, ByVal yoff As Long, ByVal background As Long) As Long

Private Declare Function MEnd Lib "pscvt.dll" (ByVal id As Long) As Long


Const IMAGE_FORMAT_BMP = 1
Const IMAGE_FORMAT_EMF = 2
Const IMAGE_FORMAT_WMF = 3
Const IMAGE_FORMAT_JPG = 4
Const IMAGE_FORMAT_PNG = 5
Const IMAGE_FORMAT_GIF = 6
Const IMAGE_FORMAT_TIF = 7
Const IMAGE_FORMAT_PCX = 8
Const IMAGE_FORMAT_TGA = 9
Const IMAGE_FORMAT_JP2 = 10
Const IMAGE_FORMAT_RAS = 11
Const IMAGE_FORMAT_JPC = 12

'The compression method in the generated TIFF file.
Const COMPRESSION_NONE = 0
Const COMPRESSION_LZW = 1
Const COMPRESSION_JPEG = 2
Const COMPRESSION_PACKBITS = 3
Const COMPRESSION_CCITTG4 = 4
Const COMPRESSION_CCITTG3 = 5
Const COMPRESSION_RLE = 6


Const BITCOUNT_1 = 1       'black/white( 1 bits )
Const BITCOUNT_4G = 3      '16 color grayscale( 4 bits )
Const BITCOUNT_4 = 4       '16 color( 4 bits )
Const BITCOUNT_8G = 7      '256 color grayscale( 8 bits )
Const BITCOUNT_8 = 8       '256 color( 8 bits )
Const BITCOUNT_24 = 24     'True color( 24 bits )

Private Sub Command1_Click()
        Dim imagetype As Long
        Dim bitcount As Long
        Dim quality As Long
        Dim rotate As Long
        Dim width As Long
        Dim height As Long
        Dim xdpi As Long
        Dim ydpi As Long
        Dim compression As Long
        Dim multipage As Long
        Dim id As Long
    
        id = MBegin()
        If (id > 0) Then
            imagetype = IMAGE_FORMAT_TIF
            bitcount = BITCOUNT_24
            quality = 75
            rotate = 0
            width = 0
            height = 0
            xdpi = 150
            ydpi = 150
    
            compression = COMPRESSION_LZW
            multipage = 1
            
            'Set Output image param
            MSetImageParam id, imagetype, bitcount, quality, rotate, width, height, xdpi, ydpi, compression, multipage
    
            'Convert to tiff file (multiple page)
            MConvertToImage id, "test.ps", "", "multiple"
            
            MEnd (id)
        End If
    
    MsgBox "Convert finished!"
End Sub

Private Sub Command2_Click()
        Dim imagetype As Long
        Dim bitcount As Long
        Dim quality As Long
        Dim rotate As Long
        Dim width As Long
        Dim height As Long
        Dim xdpi As Long
        Dim ydpi As Long
        Dim compression As Long
        Dim multipage As Long
        Dim id As Long
        
        id = MBegin()
        If (id > 0) Then
            imagetype = IMAGE_FORMAT_JPG
            bitcount = BITCOUNT_8G '256 color grayscale( 8 bits )
            quality = 85
            rotate = 90
            width = 1000
            height = 800
            xdpi = 200
            ydpi = 200
            
            'only for tiff
            compression = 0
            multipage = 0
            
            'Set Output image param
            MSetImageParam id, imagetype, bitcount, quality, rotate, width, height, xdpi, ydpi, compression, multipage
    
            'Convert to jpg file
            MConvertToImage id, "test.ps", "path", "jpg"
        
            MEnd (id)
        End If
        
    MsgBox "Convert finished!"
End Sub

Private Sub Command3_Click()
        Dim id As Long
        Dim fsize As Long
        Dim fcolor As Long
        Dim position As Long
        Dim angle As Long
        Dim xoff As Long
        Dim yoff As Long
        Dim background As Long
        
        Dim level As Long
        Dim printing As Long
        Dim copying As Long
        Dim changing As Long
        Dim adding As Long
        
        id = MBegin()
        If (id > 0) Then
            fsize = 16
            fcolor = 255 'red
            position = 2 'Top-Center
            angle = 0
            xoff = 0
            yoff = 0
            background = 1
            MPDFWatermark id, "Watermark", fsize, fcolor, position, angle, xoff, yoff, background

            level = 40
            printing = 1
            copying = 1
            changing = 0
            adding = 0
            'Set PDF Encrypt
            MPDFEncrypt id, "password", "password2", level, printing, copying, changing, adding

            'Set PDF Information
            MPDFInformation id, "title", "subject", "author", "keywords", "creator", "producer"

            MConvertToPDF id, "test.ps", "output.pdf"
            MEnd (id)
        End If
        
    MsgBox "Convert finished!"
End Sub
